### Method

# GLib Scanner lookup_symbol

#### Declaration

    gpointer
    g_scanner_lookup_symbol (
      GScanner* scanner,
      const gchar* symbol
    )

#### Description

Looks up a symbol in the current scope and return its value. If the symbol is not bound in the current scope, `NULL` is returned.

#### Parameters

`symbol`

  Type: `const gchar*`

  The symbol to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gpointer`

The value of `symbol` in the current scope, or `NULL` if `symbol` is not bound in the current scope.

The returned data is owned by the instance.
The return value can be `NULL`.